package com.uas.search.model;

import java.io.Serializable;

/**
 * 器件批次
 * 
 * @author sunyj
 * @since 2017年7月8日 下午5:14:08
 */
public class Goods implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 批次
	 */
	private TradeGoods tradeGoods;

	/**
	 * 货源
	 */
	private Store store;

	/**
	 * 器件
	 */
	private Component component;

	/**
	 * 物料
	 */
	private Products products;

	public Goods() {
	}

	public Goods(TradeGoods tradeGoods, Store store, Component component, Products products) {
		this.tradeGoods = tradeGoods;
		this.store = store;
		this.component = component;
		this.products = products;
	}

	public TradeGoods getTradeGoods() {
		return tradeGoods;
	}

	public void setTradeGoods(TradeGoods tradeGoods) {
		this.tradeGoods = tradeGoods;
	}

	public Store getStore() {
		return store;
	}

	public void setStore(Store store) {
		this.store = store;
	}

	public Component getComponent() {
		return component;
	}

	public void setComponent(Component component) {
		this.component = component;
	}

	public Products getProducts() {
		return products;
	}

	public void setProducts(Products products) {
		this.products = products;
	}

	@Override
	public String toString() {
		return "Goods{" +
				"tradeGoods=" + tradeGoods +
				", store=" + store +
				", component=" + component +
				", products=" + products +
				'}';
	}
}
